version: "2.2"

services:
  app:
    image: pathogen/monolith:latest
    container_name: monolith
    build: ${PORTAINER_GIT_DIR}/docker
    volumes:
      - ${PORTAINER_GIT_DIR}:/code
    env_file:
      - ../stack.env

  threshold:
    image: pathogen/threshold:latest
    container_name: threshold
    build: ./legacy/docker
    volumes:
      - ${PORTAINER_GIT_DIR}:/code
      - ${THRESHOLD_CONFIG_DIR}:/code/legacy/conf/live
      #- ${THRESHOLD_TEMPLATE_DIR}:/code/conf/templates
      - ${THRESHOLD_CERT_DIR}:/code/legacy/conf/cert
    ports:
      - "${THRESHOLD_LISTENER_PORT}:${THRESHOLD_LISTENER_PORT}"
      - "${THRESHOLD_RELAY_PORT}:${THRESHOLD_RELAY_PORT}"
      - "${THRESHOLD_API_PORT}:${THRESHOLD_API_PORT}"
    env_file:
      - ../stack.env
    # for development
    extra_hosts:
      - "host.docker.internal:host-gateway"

  ssdb:
    image: tsl0922/ssdb
    container_name: ssdb_monolith
    ports:
      - "1289:1289"
    environment:
      - SSDB_PORT=1289

networks:
   default:
      external:
         name: pathogen

